<!doctype html>
<html lang="es">

<head>
    <meta charset="utf-8">
    <title>grid-template-rows</title>
    <link rel="stylesheet" href="../css/ejemplos.css">
    <style>
        body {
            display: grid;
            grid-template-columns: auto auto;
        }

        h2 {
            margin: .1em;
        }

        .grid {
            background-color: gray;
            display: grid;
            gap: 1px;
            margin: 1em;
        }

        .grid1 {
            grid-template-areas: "div1 div1 div1"
                    "div2 div2 div3"
                    "div4 div4 div4";
            grid-template-rows: auto 1fr auto;
        }

        .grid2 {
            grid-template-areas: "div1 div1 div3"
                    "div2 div2 div4"
                    "div2 div2 div4";
            grid-template-rows: auto 1fr auto;
        }

        .grid3 {
            grid-template-areas: "div3 div1 div1"
                    "div2 div2 div2"
                    "div4 div4 div4";
            grid-template-rows: auto 1fr auto;
        }

        .grid4 {
            grid-template-areas: "div1 div2 div2"
                    "div3 div2 div2"
                    "div4 div2 div2";
        }

        .grid>div {
            border: 1px solid;
            text-align: center;
        }


        .div1 {
            grid-area: div1;     
            background-color: lightcoral;       
        }

        .div2 {
            grid-area: div2;
            background-color: lightblue;
        }

        .div3 {
            grid-area: div3;
            background-color: lightgreen;
        }

        .div4 {
            grid-area: div4;
            background-color: lightgray;
        }
    </style>
</head>

<body>

    <div class="grid grid1">
        <div class="div1">1</div>
        <div class="div2">
            <pre>"div1 div1 div1"
"div2 div2 div3"
"div4 div4 div4"</pre>
        </div>
        <div class="div3">3</div>
        <div class="div4">4</div>
    </div>

    <div class="grid grid2">
        <div class="div1">1</div>
        <div class="div2">
            <pre>"div1 div1 div3"
"div2 div2 div4"
"div2 div2 div4</pre>
        </div>
        <div class="div3">3</div>
        <div class="div4">4</div>
    </div>

    <div class="grid grid3">
        <div class="div1">1</div>
        <div class="div2">
            <pre>"div3 div1 div1"
"div2 div2 div2"
"div4 div4 div4"</pre>
        </div>
        <div class="div3">3</div>
        <div class="div4">4</div>
    </div>

    <div class="grid grid4">
        <div class="div1">1</div>
        <div class="div2">
            <pre>"div1 div2 div2"
"div3 div2 div2"
"div4 div2 div2"</pre>
        </div>
        <div class="div3">3</div>
        <div class="div4">4</div>
    </div>
</body>

</html>